from flask import Flask
from dotenv import load_dotenv

from models import *
from api import api
from interface import interface


def create_app():
    load_dotenv()

    # Create Flask app load app.config
    application = Flask(__name__)
    application.config.from_object("config.ConfigClass")

    application.app_context().push()

    db.init_app(application)

    # Create all tables
    db.create_all()

    application.register_blueprint(api)
    application.register_blueprint(interface)

    return application


app = create_app()

# Start development web server
if __name__ == '__main__':
    app.run()
